## Process this file with automake to produce Makefile.in

objects = docbk-refdb-html.xsl docbk-refdb-html-ns.xsl
distobjects = docbk-refdb-html.xsl.in

EXTRA_DIST = $(distobjects)

MOSTLYCLEANFILES=$(objects)

all: $(objects)

install-data-local:
	$(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/xsl/docbk-refdb-xsl/docbk-html
	@for f in $(objects); do \
		$(INSTALL_DATA) $$f $(DESTDIR)$(pkgdatadir)/xsl/docbk-refdb-xsl/docbk-html/$$f; \
	done

docbk-refdb-html.xsl: docbk-refdb-html.xsl.in
	sed 's%<!--docbk_xsl-->%$(docbk_xsl)%' < $(srcdir)/docbk-refdb-html.xsl.in | \
	sed 's%<refdblib>%$(pkgdatadir)%' > docbk-refdb-html.xsl

docbk-refdb-html-ns.xsl: docbk-refdb-html.xsl $(top_srcdir)/scripts/xslns.pl
	$(top_srcdir)/scripts/xslns.pl -d  < $(srcdir)/docbk-refdb-html.xsl > docbk-refdb-html-ns.xsl
